part of settingspage;

extension BuilderOfPage on _SettingsPageState {
  _buildPageLayout(BuildContext context) {
    return Consumer<ChangeNotifier>(builder: (context, appState, _) {
      return Scaffold(
        appBar: AppBar(
          title: const Text('Settings'),
        ),
        body: Padding(
          padding: const EdgeInsets.all(16),
          child: DropdownButton<ThemeMode>(
            value: widget.controller!.themeMode,
            onChanged: widget.controller!.updateThemeMode,
            items: const [
              DropdownMenuItem(
                value: ThemeMode.system,
                child: Text('System Theme'),
              ),
              DropdownMenuItem(
                value: ThemeMode.light,
                child: Text('Light Theme'),
              ),
              DropdownMenuItem(
                value: ThemeMode.dark,
                child: Text('Dark Theme'),
              )
            ],
          ),
        ),
      );
    });
  }
}
